PUT /api/v1/projects/{id}/policies/{policy_id}

更新现有项目范围的平台策略的值或启用状态。项目范围由路由 ID 路径参数承载,而组织则派生自该项目。

路径参数

  • id 字符串 必需

    项目 ID

  • policy_id 字符串 必需

    策略ID

application/json

body 必需

要更新的字段

  • enabled 布尔
  • int_value 整型
  • string_list array[string]

响应

  • 不支持或格式不正确的API版本、所选已发布合约中不可用的操作或不可接受的表示形式(包括不支持的媒体类型参数或排除的 SSE)。现有的身份验证、授权和速率限制失败优先。

    隐藏响应属性 显示响应属性 对象
    • badRequestDetail 对象

      标准错误模式定义的可选验证详细信息; API协商错误不会发出此字段。

      隐藏 BadRequestDetail 属性 显示 BadRequestDetail 属性 对象
      • 字段 大量[对象]

        验证失败的字段。

        隐藏字段属性 显示字段属性 对象

        字段及其验证失败。

        • 描述 字符串 必需

          人类可读的验证失败。

        • 字段 字符串 必需

          无效请求字段的名称或路径。

    • 详细信息 字符串 必需

      人类可读的错误详细信息。

    • 错误 整型 必需

      HTTP status code.

    • 错误代码 字符串 必需

      机器可读的错误代码。

    • 参数 array[string]

      与错误相关的请求参数名称;不应用时省略。

    • 原因 字符串 必需

      HTTP状态原因短语。

    隐藏响应属性 显示响应属性 对象
    • badRequestDetail 对象

      标准错误模式定义的可选验证详细信息; API协商错误不会发出此字段。

      隐藏 BadRequestDetail 属性 显示 BadRequestDetail 属性 对象
      • 字段 大量[对象]

        验证失败的字段。

        隐藏字段属性 显示字段属性 对象

        字段及其验证失败。

        • 描述 字符串 必需

          人类可读的验证失败。

        • 字段 字符串 必需

          无效请求字段的名称或路径。

    • 详细信息 字符串 必需

      人类可读的错误详细信息。

    • 错误 整型 必需

      HTTP status code.

    • 错误代码 字符串 必需

      机器可读的错误代码。

    • 参数 array[string]

      与错误相关的请求参数名称;不应用时省略。

    • 原因 字符串 必需

      HTTP状态原因短语。

  • 200

    正常

    隐藏响应属性 显示响应属性 对象
    • created_at 字符串
    • created_by 字符串
    • enabled 布尔
    • id 字符串
    • int_value 整型
    • org_id 字符串
    • PROJECT_ID 字符串
    • 范围 字符串

      值为 org 或 project。

    • string_list array[string]
    • 类型 字符串

      取值为 MAX_TOOL_CALLS_PER_EXECUTION、MAX_LLM_CALLS_PER_EXECUTION、MAX_EXECUTION_DURATION_MS、MAX_TOKENS_PER_EXECUTION、MAX_TOKENS_PER_SESSION、AUTHORIZED_TOOLS 或 AUTHORIZED_MODELS。

    • updated_at 字符串
    • updated_by 字符串
    隐藏响应属性 显示响应属性 对象
    • created_at 字符串
    • created_by 字符串
    • enabled 布尔
    • id 字符串
    • int_value 整型
    • org_id 字符串
    • PROJECT_ID 字符串
    • 范围 字符串

      值为 org 或 project。

    • string_list array[string]
    • 类型 字符串

      取值为 MAX_TOOL_CALLS_PER_EXECUTION、MAX_LLM_CALLS_PER_EXECUTION、MAX_EXECUTION_DURATION_MS、MAX_TOKENS_PER_EXECUTION、MAX_TOKENS_PER_SESSION、AUTHORIZED_TOOLS 或 AUTHORIZED_MODELS。

    • updated_at 字符串
    • updated_by 字符串
  • Bad Request

    隐藏响应属性 显示响应属性 对象
    • 代码 字符串
    • 错误 字符串
    • Success 布尔
    隐藏响应属性 显示响应属性 对象
    • 代码 字符串
    • 错误 字符串
    • Success 布尔
  • Forbidden

    隐藏响应属性 显示响应属性 对象
    • 代码 字符串
    • 错误 字符串
    • Success 布尔
    隐藏响应属性 显示响应属性 对象
    • 代码 字符串
    • 错误 字符串
    • Success 布尔
  • 未找到

    隐藏响应属性 显示响应属性 对象
    • 代码 字符串
    • 错误 字符串
    • Success 布尔
    隐藏响应属性 显示响应属性 对象
    • 代码 字符串
    • 错误 字符串
    • Success 布尔
  • 内部服务器错误

    隐藏响应属性 显示响应属性 对象
    • 代码 字符串
    • 错误 字符串
    • Success 布尔
    隐藏响应属性 显示响应属性 对象
    • 代码 字符串
    • 错误 字符串
    • Success 布尔
PUT /api/v1/projects/{id}/policies/{policy_id}
curl \
 --request PUT 'https://agentengine.mongodb.com/api/v1/projects/{id}/policies/{policy_id}' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "enabled": true,
  "int_value": 42,
  "string_list": [
    "string"
  ]
}'
请求示例
{
  "enabled": true,
  "int_value": 42,
  "string_list": [
    "string"
  ]
}
响应示例 (406)
{
  "detail": "This operation is not available in API version 2026-09-20-preview.",
  "error": 406,
  "errorCode": "OPERATION_NOT_IN_API_VERSION",
  "parameters": [
    "Accept"
  ],
  "reason": "Not Acceptable"
}
{
  "detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
  "error": 406,
  "errorCode": "UNACCEPTABLE_MEDIA_TYPE",
  "parameters": [
    "Accept"
  ],
  "reason": "Not Acceptable"
}
{
  "detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
  "error": 406,
  "errorCode": "UNSUPPORTED_API_VERSION",
  "parameters": [
    "Accept"
  ],
  "reason": "Not Acceptable"
}
响应示例 (406)
{
  "detail": "This operation is not available in API version 2026-09-20-preview.",
  "error": 406,
  "errorCode": "OPERATION_NOT_IN_API_VERSION",
  "parameters": [
    "Accept"
  ],
  "reason": "Not Acceptable"
}
响应示例 (200)
{
  "created_at": "string",
  "created_by": "string",
  "enabled": true,
  "id": "string",
  "int_value": 42,
  "org_id": "string",
  "project_id": "string",
  "scope": "org",
  "string_list": [
    "string"
  ],
  "type": "MAX_TOOL_CALLS_PER_EXECUTION",
  "updated_at": "string",
  "updated_by": "string"
}
响应示例 (200)
{
  "created_at": "string",
  "created_by": "string",
  "enabled": true,
  "id": "string",
  "int_value": 42,
  "org_id": "string",
  "project_id": "string",
  "scope": "org",
  "string_list": [
    "string"
  ],
  "type": "MAX_TOOL_CALLS_PER_EXECUTION",
  "updated_at": "string",
  "updated_by": "string"
}
响应示例 (400)
{
  "code": "string",
  "error": "string",
  "success": true
}
响应示例 (400)
{
  "code": "string",
  "error": "string",
  "success": true
}
响应示例 (403)
{
  "code": "string",
  "error": "string",
  "success": true
}
响应示例 (403)
{
  "code": "string",
  "error": "string",
  "success": true
}
响应示例 (404)
{
  "code": "string",
  "error": "string",
  "success": true
}
响应示例 (404)
{
  "code": "string",
  "error": "string",
  "success": true
}
响应示例 (500)
{
  "code": "string",
  "error": "string",
  "success": true
}
响应示例 (500)
{
  "code": "string",
  "error": "string",
  "success": true
}